[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Build-Depends-Indep, please review



In <87y68p6tcx.fsf@frosties.localnet>, Goswin von Brederlow wrote:
>Roger Leigh <rleigh@codelibre.net> writes:
>> On Fri, Nov 19, 2010 at 04:40:57PM +0100, Goswin von Brederlow wrote:
>>> David Kalnischkies <kalnischkies@gmail.com> writes:
>>> > On Thu, Nov 18, 2010 at 19:25, أحمد المحمودي 
<aelmahmoudy@sabily.org> wrote:
>>> >> On Thu, Nov 18, 2010 at 07:07:07PM +0100, Goswin von Brederlow wrote:
>>> >>> And as discussed before policy disagrees with reality in this.
>>> >> 
>>> >> Would you please elaborate ?
>>> > 
>>> > Goswin likely refers to this thread: Buildd & binary-indep
>>> > http://lists.debian.org/debian-devel/2010/09/msg00590.html
>>> > Message-id: <20100924204433.GA4714@apache.rbscorp.ru>
>>> 
>>> Buildds install only Build-Depends but not Build-Depends-Indep but still
>>> call the "build" target. In reality the "build" target must work with
>>> only Build-Depends installed contrary to what policy says.
>> 
>> I do hope this mess can be sorted out after squeeze is released.
>> Mandating build-arch and build-indep would be a good thing, IMHO.
> 
>Don't count on it. This has been going on for years and years.
>
>The simple solution is to just declare the build-indep/arch targets
>required (maybe going via SHOULD to MUST) and then have
>dpkg-buildpackage just use them when sources have changed (or just use
>them and break things).
>
>Unfortunately this would make a lot of packages instantly RC buggy so
>people are afraid of doing that. And without mandating the targets and
>making Build-Depends-Indep actually usefull there is no incentive for
>maintainers to change the source.
>
>But hey, all the maintainer has to do is add 1, in words ONE, char to
>debian/rules. Just change "build:" to "build%:" and dpkg-buildpackage
>could use build-arch/indep targets instead of build. Aparently that is
>too much to ask.

I volunteer to make /this/ fix to any package that is unmaintained or whose 
maintainer is unresponsive, *if* Debian will change policy to /require/ build-
arch/indep and make dpkg-buildpackage use them instead of build sometime after 
the Squeeze release and before the Wheezy freeze.
-- 
Boyd Stephen Smith Jr.                   ,= ,-_-. =.
bss@iguanasuicide.net                   ((_/)o o(\_))
ICQ: 514984 YM/AIM: DaTwinkDaddy         `-'(. .)`-'
http://iguanasuicide.net/                    \_/

Attachment: signature.asc
Description: This is a digitally signed message part.


Reply to: